Last Comment Bug 1159698 - Opt-out dialog has a button for "disable", but actually the addon is removed
: Opt-out dialog has a button for "disable", but actually the addon is removed
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: 4.0.0.1
Assigned To: [:MakeMyDay]
:
:
Mentors:
Depends on:
Blocks: 1130852 ltn40
  Show dependency treegraph
 
Reported: 2015-04-29 05:44 PDT by Philipp Kewisch [:Fallen]
Modified: 2015-05-09 07:32 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
DisableInsteadOfRemoveLightning-V1.diff (1.81 KB, patch)
2015-05-05 13:42 PDT, [:MakeMyDay]
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review
DisableInsteadOfRemoveLightning-V2.diff (1.81 KB, patch)
2015-05-06 12:12 PDT, [:MakeMyDay]
philipp: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-04-29 05:44:25 PDT
STR:

In a new profile, wait for the opt-out bar.
Click the "Disable" button.
Restart

Results:

The addon is completely removed

Expected:

The addon is just disabled, or the button should say "Remove". If we don't have strings ourselves for this, we can use the addon manager strings.

MakeMyDay, can you take a look?
Comment 1 User image Magnus Melin 2015-04-29 06:00:02 PDT
I think just disabling is preferable.
http://mxr.mozilla.org/comm-central/source/calendar/lightning/content/messenger-overlay-sidebar.js#216
Comment 2 User image Philipp Kewisch [:Fallen] 2015-04-29 06:18:37 PDT
See bug 1130852 comment 25 to 27, comment 33, comment 36. I think this just got lost in the discussion on the amount of prefs. MakeMyDay prefers uninstall, some others prefer disable. MakeMyday, maybe you can make your case here again :)
Comment 3 User image Kent James (:rkent) 2015-04-29 11:02:58 PDT
The user can still manually uninstall, right? I'd also support simply disabling.
Comment 4 User image [:MakeMyDay] 2015-05-05 13:42:24 PDT
Created attachment 8601710 [details] [diff] [review]
DisableInsteadOfRemoveLightning-V1.diff

As discussed on the meeting, we keep the strings and change the behaviour to disabling instead of removing. This patch takes care.
Comment 5 User image [:MakeMyDay] 2015-05-05 23:27:13 PDT
One more thing that came to my mind: does it make any difference for the AMO statistic whether we disable or remove?
Comment 6 User image Philipp Kewisch [:Fallen] 2015-05-06 00:47:59 PDT
Comment on attachment 8601710 [details] [diff] [review]
DisableInsteadOfRemoveLightning-V1.diff

Review of attachment 8601710 [details] [diff] [review]:
-----------------------------------------------------------------

r=philipp with this comment considered:

::: calendar/lightning/content/messenger-overlay-sidebar.js
@@ +218,3 @@
>      };
>      let cbUndoRemoveLightning = function (aAddon) {
> +        aAddon.cancelUninstall();

Shouldn't the undo action be aAddon.userDisabled = false?
Comment 7 User image Philipp Kewisch [:Fallen] 2015-05-06 00:49:11 PDT
I don't think disabled addons contribute to ADU, they are not active users :)
Comment 8 User image [:MakeMyDay] 2015-05-06 12:12:37 PDT
Created attachment 8602251 [details] [diff] [review]
DisableInsteadOfRemoveLightning-V2.diff

> Shouldn't the undo action be aAddon.userDisabled = false?

Yes, you're right. Updated patch with comment considered.
Comment 9 User image Philipp Kewisch [:Fallen] 2015-05-09 07:15:43 PDT
Pushed to comm-central changeset 099ffdaa0416
Comment 10 User image Philipp Kewisch [:Fallen] 2015-05-09 07:31:23 PDT
Backported to releases/comm-aurora changeset 89722d50d1f1
Comment 11 User image Philipp Kewisch [:Fallen] 2015-05-09 07:32:05 PDT
Backported to releases/comm-beta changeset d378aa365a2d

Note You need to log in before you can comment on or make changes to this bug.